<?php

    include_once( MOBILE_PLOG_CLASS_PATH."class/action/mobileaction.class.php" );
    include_once( MOBILE_PLOG_CLASS_PATH."class/view/mobiledefaultview.class.php" );
    include_once( PLOG_CLASS_PATH."class/dao/articles.class.php" );
    
    class MobileDefaultAction extends MobileAction
    {
        function MobileDefaultAction( $actionInfo, $request )
        {
            $this->MobileAction( $actionInfo, $request );
        }
        
        function perform()
        {
            $this->_view = new MobileDefaultView( $this->_blogInfo, $this->_tInfo );            
            $this->setCommonData();
            
            return( true );
        }
    }
?>